aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/sync-crowdin.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sync-crowdin.sh')
-rwxr-xr-xsync-crowdin.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/sync-crowdin.sh b/sync-crowdin.sh
new file mode 100755
index 0000000..043e64f
--- /dev/null
+++ b/sync-crowdin.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+set -ex
+curl -Lo - https://crowdin.com/backend/download/project/wireguard.zip | bsdtar -C ui/src/main/res -x -f - --strip-components 5 wireguard-android
+find ui/src/main/res -name strings.xml -exec bash -c '[[ $(xmllint --xpath "count(//resources/*)" {}) -ne 0 ]] || rm -rf "$(dirname {})"' \;